## codequery 0.24.0+dfsg1

=== CMakeLists.txt ===
#
# CodeQuery
# Copyright (C) 2013-2018 ruben2020 https://github.com/ruben2020/
#
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.
#

cmake_minimum_required(VERSION 3.2.2)
project(CodeQuery)


option(BUILD_QT5 "Qt5 option"    ON)
option(NO_GUI    "No GUI option" OFF)

MESSAGE("-- NO_GUI = " ${NO_GUI})
if (NO_GUI)
else (NO_GUI)
MESSAGE("-- BUILD_QT5 = " ${BUILD_QT5})
endif(NO_GUI)

# C++11 now always required
SET( CMAKE_CXX_STANDARD 11 )
SET( CMAKE_CXX_STANDARD_REQUIRED ON )

IF(MSVC)
ADD_DEFINITIONS(/D _CRT_SECURE_NO_WARNINGS)
ELSE(MSVC)
SET( CMAKE_CXX_FLAGS  "-O2 -Wno-unused-result" )
SET( CMAKE_CXX_FLAGS_DEBUG  "-O2 -Wno-unused-result" )
SET( CMAKE_CXX_FLAGS_RELEASE  "-O2 -Wno-unused-result" )
ENDIF(MSVC)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmakefind/")

set( EXECUTABLE_OUTPUT_PATH ${PROJECT_BINARY_DIR} )


add_subdirectory( "querylib" )
add_subdirectory( "makedb" )
add_subdirectory( "cli" )

if (NO_GUI)
else (NO_GUI)
add_subdirectory( "scintilla/qt/ScintillaEdit" )
add_subdirectory( "showgraph" )
add_subdirectory( "gui" )
endif (NO_GUI)

# Increasing minimum version numbers of dependencies to support Ubuntu 16.04 LTS (xenial)

if (UNIX)

if (NO_GUI)

set( CPACK_PACKAGE_NAME "codequery-nogui" )
set( CPACK_DEBIAN_PACKAGE_DEPENDS "libsqlite3-0 (>= 3.11.0) " )

else (NO_GUI)
if (BUILD_QT5)

set( CPACK_PACKAGE_NAME "codequery-qt5" )
set( CPACK_DEBIAN_PACKAGE_DEPENDS "qtbase5-dev (>= 5.5.1) , libsqlite3-0 (>= 3.11.0) " )

else (BUILD_QT5)

set( CPACK_PACKAGE_NAME "codequery-qt4" )
set( CPACK_DEBIAN_PACKAGE_DEPENDS "libqtcore4 (>= 4.8.7), libqtgui4 (>= 4.8.7) , libqt4-xml (>= 4.8.7) , libsqlite3-0 (>= 3.11.0) " )

endif (BUILD_QT5)
endif (NO_GUI)


  if( CMAKE_SIZEOF_VOID_P EQUAL 8 )
    set( CPACK_DEBIAN_PACKAGE_ARCHITECTURE "amd64" )
  else( CMAKE_SIZEOF_VOID_P EQUAL 8 )
    set( CPACK_DEBIAN_PACKAGE_ARCHITECTURE "i386" )
  endif( CMAKE_SIZEOF_VOID_P EQUAL 8 )

set( CPACK_GENERATOR "DEB;TGZ")
set( CPACK_PACKAGE_VERSION  "0.24.0" )
set( CPACK_PACKAGE_FILE_NAME "${CPACK_PACKAGE_NAME}-${CPACK_PACKAGE_VERSION}-Linux-${CPACK_DEBIAN_PACKAGE_ARCHITECTURE}" ) 
set( CPACK_PACKAGE_DESCRIPTION_SUMMARY "Code understanding and searching tool")
set( CPACK_PACKAGE_DESCRIPTION "Code understanding and searching tool")
set( CPACK_PACKAGE_VENDOR "ruben2020")
set( CPACK_DEBIAN_PACKAGE_RECOMMENDS "cscope , exuberant-ctags" )
set( CPACK_DEBIAN_PACKAGE_SECTION "devel" )
set( CPACK_DEBIAN_PACKAGE_MAINTAINER "ruben2020 ruben2020-git@users.sourceforge.net")
set( CPACK_DEBIAN_PACKAGE_HOMEPAGE "http://ruben2020.github.io/codequery/")

include(CPack)

endif(UNIX)

=== gui/CMakeLists.txt ===
#
# CodeQuery
# Copyright (C) 2013-2018 ruben2020 https://github.com/ruben2020/
#
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.
#

cmake_minimum_required(VERSION 3.2.2)
project(CodeQueryGUI)

#ADD_DEFINITIONS( -Wall )

if(${CMAKE_VERSION} VERSION_GREATER_EQUAL "3.10.0") 
foreach(p
    CMP0071 # 3.10: Let AUTOMOC and AUTOUIC process GENERATED files
    )
  if(POLICY ${p})
    cmake_policy(SET ${p} NEW)
  endif()
endforeach()
endif()



  # with SET() command you can change variables or define new ones
  # here we define CODEQUERY_SRCS variable that contains a list of all .cpp files
  # note that we don't need \ at the end of line
  SET( CODEQUERY_SRCS
       ../querylib/small_lib.cpp
       ../querylib/sqlquery.cpp
       langtable.cpp
       fileviewer.cpp
       listhandler.cpp
       searchhandler.cpp
       mainwindow.cpp
       graphdialog.cpp
       aboutdialog.cpp
       fileviewsettingsdialog.cpp
       themes.cpp
       main_gui.cpp
       winmain.cpp
  )
  
  # another list, this time it includes all header files that should be treated with moc
  SET( CODEQUERY_MOC_HDRS
       fileviewer.h
       listhandler.h
       searchhandler.h
       mainwindow.h
       graphdialog.h
       aboutdialog.h
       fileviewsettingsdialog.h
  )
  
  # some .ui files
  SET( CODEQUERY_UIS
       ui/mainWindow.ui
       ui/graphDialog.ui
       ui/aboutDialog.ui
       ui/fileViewSettingsDialog.ui
  )
  
  # and finally an resource file
  SET( CODEQUERY_RCS
       codequery.qrc
  )

  # translation files
  SET( CODEQUERY_TRANS

translations/codequery_de.ts
translations/codequery_en.ts
translations/codequery_es.ts
translations/codequery_fr.ts
translations/codequery_id.ts
translations/codequery_it.ts
translations/codequery_ja.ts
translations/codequery_ko.ts
translations/codequery_zh-CHS.ts
translations/codequery_zh-CHT.ts

  )  

  SET( CQIMAGES_RC_QRC   "${CMAKE_CURRENT_SOURCE_DIR}/cqimages.qrc")
  SET( CQIMAGES_RC_SRCS  "${CMAKE_CURRENT_BINARY_DIR}/qrc_cqimages.cxx")
  SET( CQTRANS_RC_QRCT   "${CMAKE_CURRENT_SOURCE_DIR}/cqtrans.qrc.template")
  SET( CQTRANS_RC_QRC    "${CMAKE_CURRENT_BINARY_DIR}/cqtrans.qrc")
  SET( CQTRANS_RC_SRCS   "${CMAKE_CURRENT_BINARY_DIR}/qrc_cqtrans.cxx")

if (WIN32)
  SET( COPY_COMMAND  "copy")
  string(REPLACE "/" "\\" CQTRANS_RC_QRCT_CP "${CQTRANS_RC_QRCT}")
  string(REPLACE "/" "\\" CQTRANS_RC_QRC_CP  "${CQTRANS_RC_QRC}")
else (WIN32)
  SET( COPY_COMMAND  "cp")
  SET( CQTRANS_RC_QRCT_CP  "${CQTRANS_RC_QRCT}")
  SET( CQTRANS_RC_QRC_CP   "${CQTRANS_RC_QRC}")
endif (WIN32)

  add_definitions( -DNO_QDESIGNER_WIDGET_EXPORT )

  INCLUDE_DIRECTORIES( "../scintilla/qt/ScintillaEdit" )
  INCLUDE_DIRECTORIES( "../scintilla/qt/ScintillaEditBase" )
  INCLUDE_DIRECTORIES( "../scintilla/include" )
  INCLUDE_DIRECTORIES( "../scintilla/src" )
  INCLUDE_DIRECTORIES( "../scintilla/lexlib" )
  INCLUDE_DIRECTORIES( "${SQLITE_INCLUDE_DIR}" )
  INCLUDE_DIRECTORIES( "${CMAKE_CURRENT_BINARY_DIR}" )
  INCLUDE_DIRECTORIES( "." )
  INCLUDE_DIRECTORIES( "./translations" )
  INCLUDE_DIRECTORIES( "../querylib" )
  INCLUDE_DIRECTORIES( "../makedb" )
  INCLUDE_DIRECTORIES( "../showgraph" )
  INCLUDE_DIRECTORIES( "/usr/local/include" )

  FIND_PACKAGE( Sqlite REQUIRED )


if (BUILD_QT5)

  
  # this command finds Qt4 libraries and sets all required variables
  # note that it's Qt4, not QT4 or qt4
  FIND_PACKAGE( Qt5Widgets 5.2.1 REQUIRED )
  FIND_PACKAGE( Qt5Core REQUIRED )
  FIND_PACKAGE( Qt5Concurrent REQUIRED )
  FIND_PACKAGE( Qt5Xml REQUIRED )
  FIND_PACKAGE( Qt5LinguistTools REQUIRED )

  add_definitions( -DUSE_QT5 )

  set_target_properties(Qt5::Core PROPERTIES MAP_IMPORTED_CONFIG_COVERAGE "RELEASE")
  
  SET(CMAKE_AUTOMOC ON)
  SET(CMAKE_INCLUDE_CURRENT_DIR ON)

  get_target_property(QT_RCC_EXECUTABLE Qt5::rcc LOCATION)

  QT5_ADD_TRANSLATION( QM ${CODEQUERY_TRANS} )  
  
  # this command will generate rules that will run rcc on all files from CODEQUERY_RCS
  # in result CQIMAGES_RC_SRCS variable will contain paths to files produced by rcc
  # QT4_ADD_RESOURCES( CQIMAGES_RC_SRCS ${CODEQUERY_RCS} )

  # Run the resource compiler (rcc_options should already be set).
  ADD_CUSTOM_COMMAND(
    OUTPUT ${CQIMAGES_RC_SRCS}
    COMMAND ${QT_RCC_EXECUTABLE}
    ARGS ${rcc_options} -name cqimages -o ${CQIMAGES_RC_SRCS} ${CQIMAGES_RC_QRC}
    )

  ADD_CUSTOM_COMMAND(
    OUTPUT ${CQTRANS_RC_SRCS}
    COMMAND ${QT_RCC_EXECUTABLE}
    ARGS ${rcc_options} -name cqtrans -o ${CQTRANS_RC_SRCS} ${CQTRANS_RC_QRC}
    DEPENDS ${QM} ${CQTRANS_RC_QRC}
    )

  ADD_CUSTOM_COMMAND(
    OUTPUT ${CQTRANS_RC_QRC}
    COMMAND ${COPY_COMMAND}
    ARGS ${CQTRANS_RC_QRCT_CP} ${CQTRANS_RC_QRC_CP}
    )
    

  # this will run uic on .ui files:
  QT5_WRAP_UI( CODEQUERY_UI_HDRS ${CODEQUERY_UIS} )

  # we need this to be able to include headers produced by uic in our code
  # (CMAKE_BINARY_DIR holds a path to the build directory, while INCLUDE_DIRECTORIES() works just like INCLUDEPATH from qmake)
  INCLUDE_DIRECTORIES( "${Qt5Widgets_INCLUDE_DIRS}" )

if(WIN32)
  SET(CQ_WIN_RCS cqwin64.rc)
  add_executable( codequery WIN32 ${CODEQUERY_SRCS} ${CODEQUERY_MOC_SRCS} ${CQIMAGES_RC_SRCS} ${CQTRANS_RC_SRCS} ${CODEQUERY_UI_HDRS} ${QM} ${CQ_WIN_RCS} )
  target_link_libraries( codequery Qt5::Widgets Qt5::Concurrent Qt5::WinMain ${SQLITE_LIBRARIES} cqshowgraph-qt5 scintillaedit)
else()
  add_executable( codequery ${CODEQUERY_SRCS} ${CODEQUERY_MOC_SRCS} ${CQIMAGES_RC_SRCS} ${CQTRANS_RC_SRCS} ${CODEQUERY_UI_HDRS} ${QM} )
  target_link_libraries( codequery Qt5::Widgets Qt5::Concurrent ${SQLITE_LIBRARIES} cqshowgraph-qt5 scintillaedit)
endif()
  
  install(TARGETS codequery RUNTIME DESTINATION bin)


else (BUILD_QT5)

  add_definitions( -DUSE_QT4 )

  # by default only QtCore and QtGui modules are enabled
  # other modules must be enabled like this:
  #SET( QT_USE_QTXML TRUE )
  #SET( QT_USE_QTSQL TRUE )
  SET( QT_DONT_USE_QTGUI FALSE )
  
  # this command finds Qt4 libraries and sets all required variables
  # note that it's Qt4, not QT4 or qt4
  FIND_PACKAGE( Qt4 REQUIRED )
  
  # add some useful macros and variables
  # (QT_USE_FILE is a variable defined by FIND_PACKAGE( Qt4 ) that contains a path to CMake script)
  INCLUDE( "${QT_USE_FILE}" )

  QT4_ADD_TRANSLATION( QM ${CODEQUERY_TRANS} )  
  
  # this command will generate rules that will run rcc on all files from CODEQUERY_RCS
  # in result CQIMAGES_RC_SRCS variable will contain paths to files produced by rcc
  # QT4_ADD_RESOURCES( CQIMAGES_RC_SRCS ${CODEQUERY_RCS} )

  # Run the resource compiler (rcc_options should already be set).
  ADD_CUSTOM_COMMAND(
    OUTPUT ${CQIMAGES_RC_SRCS}
    COMMAND ${QT_RCC_EXECUTABLE}
    ARGS ${rcc_options} -name cqimages -o ${CQIMAGES_RC_SRCS} ${CQIMAGES_RC_QRC}
    )

  ADD_CUSTOM_COMMAND(
    OUTPUT ${CQTRANS_RC_SRCS}
    COMMAND ${QT_RCC_EXECUTABLE}
    ARGS ${rcc_options} -name cqtrans -o ${CQTRANS_RC_SRCS} ${CQTRANS_RC_QRC}
    DEPENDS ${QM} ${CQTRANS_RC_QRC}
    )

  ADD_CUSTOM_COMMAND(
    OUTPUT ${CQTRANS_RC_QRC}
    COMMAND ${COPY_COMMAND}
    ARGS ${CQTRANS_RC_QRCT_CP} ${CQTRANS_RC_QRC_CP}
    )
    

  # this will run uic on .ui files:
  QT4_WRAP_UI( CODEQUERY_UI_HDRS ${CODEQUERY_UIS} )
  
  # and finally this will run moc:
  QT4_WRAP_CPP( CODEQUERY_MOC_SRCS ${CODEQUERY_MOC_HDRS} )


if(WIN32)
  SET(CQ_WIN_RCS cqwin32.rc)
  add_executable( codequery WIN32 ${CODEQUERY_SRCS} ${CODEQUERY_MOC_SRCS} ${CQIMAGES_RC_SRCS} ${CQTRANS_RC_SRCS} ${CODEQUERY_UI_HDRS} ${QM} ${CQ_WIN_RCS} )
else()
  add_executable( codequery ${CODEQUERY_SRCS} ${CODEQUERY_MOC_SRCS} ${CQIMAGES_RC_SRCS} ${CQTRANS_RC_SRCS} ${CODEQUERY_UI_HDRS} ${QM} )
endif()

  target_link_libraries( codequery ${QT_LIBRARIES} ${SQLITE_LIBRARIES} cqshowgraph scintillaedit)
  
  install(TARGETS codequery RUNTIME DESTINATION bin)

endif (BUILD_QT5)

=== makedb/CMakeLists.txt ===
#
# CodeQuery
# Copyright (C) 2013-2018 ruben2020 https://github.com/ruben2020/
#
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.
#

cmake_minimum_required(VERSION 3.2.2)
project(CodeQueryDBMaker)

#add_definitions( -Wall )

find_package(Sqlite REQUIRED)

include_directories( "." )
include_directories( "../querylib" )
include_directories( "${SQLITE_INCLUDE_DIR}" )

set( CQMAKEDB_SRCS
     sqlbase.cpp
     csdbheader.cpp
     csdbparser.cpp
     cs2sq.cpp
     ctagread.cpp
     main.cpp
   )

add_executable( cqmakedb ${CQMAKEDB_SRCS} )
target_link_libraries( cqmakedb ${SQLITE_LIBRARIES} small_lib )

install(TARGETS cqmakedb RUNTIME DESTINATION bin)

=== scintilla/qt/ScintillaEdit/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.2.2)
project(ScintillaEdit)


  SET(SCINTILLA_SRCS
    ScintillaEdit.cpp
    ScintillaDocument.cpp
    ../ScintillaEditBase/PlatQt.cpp
    ../ScintillaEditBase/ScintillaQt.cpp
    ../ScintillaEditBase/ScintillaEditBase.cpp
    ../../src/XPM.cxx
    ../../src/ViewStyle.cxx
    ../../src/UniqueString.cxx
    ../../src/UniConversion.cxx
    ../../src/Style.cxx
    ../../src/Selection.cxx
    ../../src/ScintillaBase.cxx
    ../../src/RunStyles.cxx
    ../../src/RESearch.cxx
    ../../src/PositionCache.cxx
    ../../src/PerLine.cxx
    ../../src/MarginView.cxx
    ../../src/LineMarker.cxx
    ../../src/KeyMap.cxx
    ../../src/Indicator.cxx
    ../../src/ExternalLexer.cxx
    ../../src/EditView.cxx
    ../../src/Editor.cxx
    ../../src/EditModel.cxx
    ../../src/Document.cxx
    ../../src/Decoration.cxx
    ../../src/DBCS.cxx
    ../../src/ContractionState.cxx
    ../../src/CharClassify.cxx
    ../../src/CellBuffer.cxx
    ../../src/Catalogue.cxx
    ../../src/CaseFolder.cxx
    ../../src/CaseConvert.cxx
    ../../src/CallTip.cxx
    ../../src/AutoComplete.cxx
    ../../lexlib/WordList.cxx
    ../../lexlib/StyleContext.cxx
    ../../lexlib/PropSetSimple.cxx
    ../../lexlib/LexerSimple.cxx
    ../../lexlib/LexerNoExceptions.cxx
    ../../lexlib/LexerModule.cxx
    ../../lexlib/LexerBase.cxx
    ../../lexlib/DefaultLexer.cxx
    ../../lexlib/CharacterSet.cxx
    ../../lexlib/CharacterCategory.cxx
    ../../lexlib/Accessor.cxx
      )

  
  SET( SCINTILLA_MOC_HDRS
    ScintillaEdit.h
    ScintillaDocument.h
    ../ScintillaEditBase/ScintillaEditBase.h
    ../ScintillaEditBase/ScintillaQt.h
  )
  
  FILE(GLOB LEXER_SRCS "../../lexers/*.cxx")

  INCLUDE_DIRECTORIES( "../ScintillaEditBase" )
  INCLUDE_DIRECTORIES( "../../include" )
  INCLUDE_DIRECTORIES( "../../src" )
  INCLUDE_DIRECTORIES( "../../lexlib" )
  INCLUDE_DIRECTORIES( "${CMAKE_CURRENT_BINARY_DIR}" )
  INCLUDE_DIRECTORIES( "." )
  INCLUDE_DIRECTORIES( "/usr/local/include" )

  add_definitions( -DSCINTILLA_QT=1 -DSCI_LEXER=1 -D_CRT_SECURE_NO_DEPRECATE=1 -DSTATIC_BUILD=1 )


if (BUILD_QT5)

  FIND_PACKAGE( Qt5Widgets 5.2.1 REQUIRED )
  FIND_PACKAGE( Qt5Core REQUIRED )
  FIND_PACKAGE( Qt5Concurrent REQUIRED )

  set_target_properties(Qt5::Core PROPERTIES MAP_IMPORTED_CONFIG_COVERAGE "RELEASE")
  
  SET(CMAKE_AUTOMOC ON)
  SET(CMAKE_INCLUDE_CURRENT_DIR ON)

  INCLUDE_DIRECTORIES( "${Qt5Widgets_INCLUDE_DIRS}" )

  add_library( scintillaedit STATIC ${SCINTILLA_SRCS} ${SCINTILLA_MOC_SRCS} ${LEXER_SRCS})
  target_link_libraries( scintillaedit Qt5::Widgets Qt5::Concurrent )

else (BUILD_QT5)
 
  SET( QT_DONT_USE_QTGUI FALSE )
  
  FIND_PACKAGE( Qt4 REQUIRED )
  
  INCLUDE( "${QT_USE_FILE}" )

  QT4_WRAP_CPP( SCINTILLA_MOC_SRCS ${SCINTILLA_MOC_HDRS} )


  add_library( scintillaedit STATIC ${SCINTILLA_SRCS} ${SCINTILLA_MOC_SRCS} ${LEXER_SRCS})
  target_link_libraries( scintillaedit ${QT_LIBRARIES} )

endif (BUILD_QT5)

=== debian/changelog ===
codequery (0.24.0+dfsg1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field

  [ ChangZhuo Chen (陳昌倬) ]
  * New upstream release.
  * Bump Standards-Version to 4.6.0.
  * Bump compat to 13.
  * Update Vcs-* fields to salsa.debian.org.
  * Add `Rules-Requires-Root: no`.
  * Add upstream metadata.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Tue, 01 Feb 2022 11:39:36 +0800

=== debian/control ===
Source: codequery
Section: devel
Priority: optional
Maintainer: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
Build-Depends: debhelper-compat (= 13),
               asciidoc-base,
               cmake,
               libqscintilla2-qt5-dev,
               libsqlite3-dev,
               qttools5-dev,
               xmlto,
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://github.com/ruben2020/codequery
Vcs-Git: https://salsa.debian.org/debian/codequery.git
Vcs-Browser: https://salsa.debian.org/debian/codequery

Package: codequery
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends},
         cscope,
         exuberant-ctags,
Description: code-understanding, code-browsing or code-search tool
 This is a tool to index, then query or search C, C++, Java, Python,
 Ruby, Go and Javascript source code.
 .
 It builds upon the databases of cscope and Exuberant ctags.
 .
 The databases of cscope and ctags would be processed by the cqmakedb
 tool to generate the CodeQuery database file.
 .
 The CodeQuery database file can be viewed and queried using the
 codequery GUI tool.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%codequery-$1.tar.gz%" \
   https://github.com/ruben2020/codequery/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## codequery 0.25.0+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,12 +13,21 @@
 
 option(BUILD_QT5 "Qt5 option"    ON)
 option(NO_GUI    "No GUI option" OFF)
+option(GHAWIN    "GitHub Actions on Windows" OFF)
 
 MESSAGE("-- NO_GUI = " ${NO_GUI})
 if (NO_GUI)
 else (NO_GUI)
 MESSAGE("-- BUILD_QT5 = " ${BUILD_QT5})
 endif(NO_GUI)
+
+if (GHAWIN)
+MESSAGE("-- GHAWIN = " ${GHAWIN})
+else (GHAWIN)
+endif(GHAWIN)
+
+set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmakefind/")
+
 
 # C++11 now always required
 SET( CMAKE_CXX_STANDARD 11 )
@@ -32,7 +41,6 @@
 SET( CMAKE_CXX_FLAGS_RELEASE  "-O2 -Wno-unused-result" )
 ENDIF(MSVC)
 
-set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmakefind/")
 
 set( EXECUTABLE_OUTPUT_PATH ${PROJECT_BINARY_DIR} )
 
@@ -79,7 +87,7 @@
   endif( CMAKE_SIZEOF_VOID_P EQUAL 8 )
 
 set( CPACK_GENERATOR "DEB;TGZ")
-set( CPACK_PACKAGE_VERSION  "0.24.0" )
+set( CPACK_PACKAGE_VERSION  "0.25.0" )
 set( CPACK_PACKAGE_FILE_NAME "${CPACK_PACKAGE_NAME}-${CPACK_PACKAGE_VERSION}-Linux-${CPACK_DEBIAN_PACKAGE_ARCHITECTURE}" ) 
 set( CPACK_PACKAGE_DESCRIPTION_SUMMARY "Code understanding and searching tool")
 set( CPACK_PACKAGE_DESCRIPTION "Code understanding and searching tool")

=== debian/changelog ===
codequery (0.25.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.1.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Wed, 14 Sep 2022 21:37:40 +0800

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                libsqlite3-dev,
                qttools5-dev,
                xmlto,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://github.com/ruben2020/codequery
 Vcs-Git: https://salsa.debian.org/debian/codequery.git

## codequery 0.26.0+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -87,7 +87,7 @@
   endif( CMAKE_SIZEOF_VOID_P EQUAL 8 )
 
 set( CPACK_GENERATOR "DEB;TGZ")
-set( CPACK_PACKAGE_VERSION  "0.25.0" )
+set( CPACK_PACKAGE_VERSION  "0.26.0" )
 set( CPACK_PACKAGE_FILE_NAME "${CPACK_PACKAGE_NAME}-${CPACK_PACKAGE_VERSION}-Linux-${CPACK_DEBIAN_PACKAGE_ARCHITECTURE}" ) 
 set( CPACK_PACKAGE_DESCRIPTION_SUMMARY "Code understanding and searching tool")
 set( CPACK_PACKAGE_DESCRIPTION "Code understanding and searching tool")

=== cli/CMakeLists.txt ===
#
# CodeQuery
# Copyright (C) 2013-2018 ruben2020 https://github.com/ruben2020/
#
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.
#

cmake_minimum_required(VERSION 3.2.2)
project(CodeQueryCLI)

#add_definitions( -Wall )

find_package(Sqlite REQUIRED)

include_directories( "." )
include_directories( "../makedb" )
include_directories( "../querylib" )
include_directories( "${SQLITE_INCLUDE_DIR}" )

set( CQSEARCH_SRCS
     main_cli.cpp
   )

add_executable( cqsearch ${CQSEARCH_SRCS} )
target_link_libraries( cqsearch ${SQLITE_LIBRARIES} small_lib sqlquery_lib )

install(TARGETS cqsearch RUNTIME DESTINATION bin)

=== gui/CMakeLists.txt ===
--- 
+++ 
@@ -106,7 +106,6 @@
   INCLUDE_DIRECTORIES( "../scintilla/include" )
   INCLUDE_DIRECTORIES( "../scintilla/src" )
   INCLUDE_DIRECTORIES( "../scintilla/lexlib" )
-  INCLUDE_DIRECTORIES( "${SQLITE_INCLUDE_DIR}" )
   INCLUDE_DIRECTORIES( "${CMAKE_CURRENT_BINARY_DIR}" )
   INCLUDE_DIRECTORIES( "." )
   INCLUDE_DIRECTORIES( "./translations" )
@@ -115,7 +114,13 @@
   INCLUDE_DIRECTORIES( "../showgraph" )
   INCLUDE_DIRECTORIES( "/usr/local/include" )
 
-  FIND_PACKAGE( Sqlite REQUIRED )
+if(GHAWIN)
+find_package(unofficial-sqlite3 CONFIG REQUIRED)
+set( SQLITE_LIBRARIES "unofficial::sqlite3::sqlite3" )
+else(GHAWIN)
+find_package(Sqlite REQUIRED)
+include_directories( "${SQLITE_INCLUDE_DIR}" )
+endif(GHAWIN)
 
 
 if (BUILD_QT5)

=== makedb/CMakeLists.txt ===
--- 
+++ 
@@ -12,11 +12,16 @@
 
 #add_definitions( -Wall )
 
+if(GHAWIN)
+find_package(unofficial-sqlite3 CONFIG REQUIRED)
+set( SQLITE_LIBRARIES "unofficial::sqlite3::sqlite3" )
+else(GHAWIN)
 find_package(Sqlite REQUIRED)
+include_directories( "${SQLITE_INCLUDE_DIR}" )
+endif(GHAWIN)
 
 include_directories( "." )
 include_directories( "../querylib" )
-include_directories( "${SQLITE_INCLUDE_DIR}" )
 
 set( CQMAKEDB_SRCS
      sqlbase.cpp

=== querylib/CMakeLists.txt ===
#
# This license header applies to only this file.
# 
# Copyright (c) 2011 ruben2020 https://github.com/ruben2020/
# 
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to
# deal in the Software without restriction, including without limitation the
# rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
# sell copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
# 
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
# 
# THE SOTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
# FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS
# IN THE SOFTWARE.
# 

cmake_minimum_required(VERSION 3.2.2)
project(CodeQueryLib)

find_package(Sqlite REQUIRED)

include_directories( "." )
include_directories( "${SQLITE_INCLUDE_DIR}" )

set( SMALL_LIB_SRCS small_lib.cpp getopt2.cpp )
add_library( small_lib STATIC ${SMALL_LIB_SRCS} )

set( QUERY_LIB_SRCS sqlquery.cpp )
add_library( sqlquery_lib STATIC ${QUERY_LIB_SRCS} )
target_link_libraries( sqlquery_lib ${SQLITE_LIBRARIES} small_lib )

=== scintilla/qt/ScintillaEdit/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.2.2)
project(ScintillaEdit)


  SET(SCINTILLA_SRCS
    ScintillaEdit.cpp
    ScintillaDocument.cpp
    ../ScintillaEditBase/PlatQt.cpp
    ../ScintillaEditBase/ScintillaQt.cpp
    ../ScintillaEditBase/ScintillaEditBase.cpp
      )

  
  SET( SCINTILLA_MOC_HDRS
    ScintillaEdit.h
    ScintillaDocument.h
    ../ScintillaEditBase/ScintillaEditBase.h
    ../ScintillaEditBase/ScintillaQt.h
  )
  
  FILE(GLOB LEXER_SRCS  "../../lexers/*.cxx")
  FILE(GLOB LEXLIB_SRCS "../../lexlib/*.cxx")
  FILE(GLOB SCINT_SRCS  "../../src/*.cxx")

  INCLUDE_DIRECTORIES( "../ScintillaEditBase" )
  INCLUDE_DIRECTORIES( "../../include" )
  INCLUDE_DIRECTORIES( "../../src" )
  INCLUDE_DIRECTORIES( "../../lexlib" )
  INCLUDE_DIRECTORIES( "${CMAKE_CURRENT_BINARY_DIR}" )
  INCLUDE_DIRECTORIES( "." )
  INCLUDE_DIRECTORIES( "/usr/local/include" )

  add_definitions( -DSCINTILLA_QT=1 -DSCI_LEXER=1 -D_CRT_SECURE_NO_DEPRECATE=1 -DSTATIC_BUILD=1 )


if (BUILD_QT5)

  FIND_PACKAGE( Qt5Widgets 5.2.1 REQUIRED )
  FIND_PACKAGE( Qt5Core REQUIRED )
  FIND_PACKAGE( Qt5Concurrent REQUIRED )

  set_target_properties(Qt5::Core PROPERTIES MAP_IMPORTED_CONFIG_COVERAGE "RELEASE")
  
  SET(CMAKE_AUTOMOC ON)
  SET(CMAKE_INCLUDE_CURRENT_DIR ON)

  INCLUDE_DIRECTORIES( "${Qt5Widgets_INCLUDE_DIRS}" )

  add_library( scintillaedit STATIC ${SCINTILLA_SRCS} ${SCINTILLA_MOC_SRCS} ${LEXER_SRCS} ${LEXLIB_SRCS} ${SCINT_SRCS} )
  target_link_libraries( scintillaedit Qt5::Widgets Qt5::Concurrent )

else (BUILD_QT5)
 
  SET( QT_DONT_USE_QTGUI FALSE )
  
  FIND_PACKAGE( Qt4 REQUIRED )
  
  INCLUDE( "${QT_USE_FILE}" )

  QT4_WRAP_CPP( SCINTILLA_MOC_SRCS ${SCINTILLA_MOC_HDRS} )


  add_library( scintillaedit STATIC ${SCINTILLA_SRCS} ${SCINTILLA_MOC_SRCS} ${LEXER_SRCS} ${LEXLIB_SRCS} ${SCINT_SRCS} )
  target_link_libraries( scintillaedit ${QT_LIBRARIES} )

endif (BUILD_QT5)

=== debian/changelog ===
codequery (0.26.0+dfsg-1) unstable; urgency=medium

  * New upostream release.
  * Bump Standards-Version to 4.6.2.
  * Add universal-ctags as alternative of exuberant-ctags (Closes: #1016144).

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Thu, 29 Dec 2022 17:45:29 +0800

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                libsqlite3-dev,
                qttools5-dev,
                xmlto,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/ruben2020/codequery
 Vcs-Git: https://salsa.debian.org/debian/codequery.git
@@ -21,7 +21,7 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          cscope,
-         exuberant-ctags,
+         universal-ctags | exuberant-ctags,
 Description: code-understanding, code-browsing or code-search tool
  This is a tool to index, then query or search C, C++, Java, Python,
  Ruby, Go and Javascript source code.

## codequery 0.27.0%2Bdfsg

=== debian/changelog ===
codequery (0.27.0+dfsg-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:38:29 +1100

codequery (0.27.0+dfsg-1build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:06:35 +0000

codequery (0.27.0+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sat, 27 Jan 2024 08:58:45 +0800

## codequery 0.27.0+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # file, You can obtain one at http://mozilla.org/MPL/2.0/.
 #
 
-cmake_minimum_required(VERSION 3.2.2)
+cmake_minimum_required(VERSION 3.5.0)
 project(CodeQuery)
 
 
@@ -87,7 +87,7 @@
   endif( CMAKE_SIZEOF_VOID_P EQUAL 8 )
 
 set( CPACK_GENERATOR "DEB;TGZ")
-set( CPACK_PACKAGE_VERSION  "0.26.0" )
+set( CPACK_PACKAGE_VERSION  "0.27.0" )
 set( CPACK_PACKAGE_FILE_NAME "${CPACK_PACKAGE_NAME}-${CPACK_PACKAGE_VERSION}-Linux-${CPACK_DEBIAN_PACKAGE_ARCHITECTURE}" ) 
 set( CPACK_PACKAGE_DESCRIPTION_SUMMARY "Code understanding and searching tool")
 set( CPACK_PACKAGE_DESCRIPTION "Code understanding and searching tool")

=== cli/CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # file, You can obtain one at http://mozilla.org/MPL/2.0/.
 #
 
-cmake_minimum_required(VERSION 3.2.2)
+cmake_minimum_required(VERSION 3.5.0)
 project(CodeQueryCLI)
 
 #add_definitions( -Wall )

=== gui/CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # file, You can obtain one at http://mozilla.org/MPL/2.0/.
 #
 
-cmake_minimum_required(VERSION 3.2.2)
+cmake_minimum_required(VERSION 3.5.0)
 project(CodeQueryGUI)
 
 #ADD_DEFINITIONS( -Wall )

=== makedb/CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # file, You can obtain one at http://mozilla.org/MPL/2.0/.
 #
 
-cmake_minimum_required(VERSION 3.2.2)
+cmake_minimum_required(VERSION 3.5.0)
 project(CodeQueryDBMaker)
 
 #add_definitions( -Wall )

=== querylib/CMakeLists.txt ===
--- 
+++ 
@@ -22,7 +22,7 @@
 # IN THE SOFTWARE.
 # 
 
-cmake_minimum_required(VERSION 3.2.2)
+cmake_minimum_required(VERSION 3.5.0)
 project(CodeQueryLib)
 
 find_package(Sqlite REQUIRED)

=== showgraph/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5.0)
project(ShowGraph)

#ADD_DEFINITIONS( -Wall )


  # with SET() command you can change variables or define new ones
  # here we define SHOWGRAPH_SRCS variable that contains a list of all .cpp files
  # note that we don't need \ at the end of line
  SET( SHOWGRAPH_SRCS
./showgraph.cpp
./Utils/mem_mgr.cpp
./Utils/mem_utest.cpp
./Utils/conf.cpp
./Utils/list_utest.cpp
./Utils/utils_utest.cpp
./Utils/utils.cpp
./Utils/conf_utest.cpp
./Utils/mem_pool.cpp
./Layout/node_group.cpp
./Layout/aux_graph.cpp
./Layout/layout.cpp
./Graph/graph.cpp
./Graph/node.cpp
./Graph/edge.cpp
./GraphView/edge_item.cpp
./GraphView/style_edit.cpp
./GraphView/graph_view.cpp
./GraphView/visible_edge.cpp
./GraphView/node_item.cpp
./GraphView/edge_helper.cpp
./GraphView/navigation.cpp
  )
  
  # another list, this time it includes all header files that should be treated with moc
  SET( SHOWGRAPH_MOC_HDRS
./Layout/aux_graph.h
./GraphView/graph_view.h
./GraphView/style_edit.h
  )

  INCLUDE_DIRECTORIES( "${CMAKE_CURRENT_BINARY_DIR}" )
  INCLUDE_DIRECTORIES( "." )
  INCLUDE_DIRECTORIES( "./Graph" )
  INCLUDE_DIRECTORIES( "./GraphView" )
  INCLUDE_DIRECTORIES( "./Layout" )
  INCLUDE_DIRECTORIES( "./Utils" )
  

if (BUILD_QT5)


  # this command finds Qt4 libraries and sets all required variables
  # note that it's Qt4, not QT4 or qt4
  FIND_PACKAGE( Qt5Widgets 5.2.1 REQUIRED )
  FIND_PACKAGE( Qt5Concurrent REQUIRED )
  FIND_PACKAGE( Qt5Xml REQUIRED )

  add_definitions( -DUSE_QT5 )
  
  set_target_properties(Qt5::Core PROPERTIES MAP_IMPORTED_CONFIG_COVERAGE "RELEASE")
  
  SET(CMAKE_AUTOMOC ON)
  SET(CMAKE_INCLUDE_CURRENT_DIR ON)
  
  # this command will generate rules that will run rcc on all files from CODEQUERY_RCS
  # in result CODEQUERY_RC_SRCS variable will contain paths to files produced by rcc
  # QT4_ADD_RESOURCES( CODEQUERY_RC_SRCS ${CODEQUERY_RCS} )


  # we need this to be able to include headers produced by uic in our code
  # (CMAKE_BINARY_DIR holds a path to the build directory, while INCLUDE_DIRECTORIES() works just like INCLUDEPATH from qmake)
  INCLUDE_DIRECTORIES( "${Qt5Widgets_INCLUDE_DIRS}" )
  INCLUDE_DIRECTORIES( "${Qt5Xml_INCLUDE_DIRS}" )


  add_library( cqshowgraph-qt5 STATIC ${SHOWGRAPH_SRCS} ${SHOWGRAPH_MOC_SRCS} )
  target_link_libraries( cqshowgraph-qt5 Qt5::Widgets Qt5::Concurrent Qt5::Xml )


else (BUILD_QT5)

  
  # by default only QtCore and QtGui modules are enabled
  # other modules must be enabled like this:
  SET( QT_USE_QTXML TRUE )
  #SET( QT_USE_QTSQL TRUE )
  
  # this command finds Qt4 libraries and sets all required variables
  # note that it's Qt4, not QT4 or qt4
  FIND_PACKAGE( Qt4 REQUIRED )
  
  # add some useful macros and variables
  # (QT_USE_FILE is a variable defined by FIND_PACKAGE( Qt4 ) that contains a path to CMake script)
  INCLUDE( "${QT_USE_FILE}" )
  
  # this command will generate rules that will run rcc on all files from CODEQUERY_RCS
  # in result CODEQUERY_RC_SRCS variable will contain paths to files produced by rcc
  # QT4_ADD_RESOURCES( CODEQUERY_RC_SRCS ${CODEQUERY_RCS} )

  # and finally this will run moc:
  QT4_WRAP_CPP( SHOWGRAPH_MOC_SRCS ${SHOWGRAPH_MOC_HDRS} )

  add_library( cqshowgraph STATIC ${SHOWGRAPH_SRCS} ${SHOWGRAPH_MOC_SRCS} )
  target_link_libraries( cqshowgraph ${QT_LIBRARIES} )

endif (BUILD_QT5)

=== scintilla/qt/ScintillaEdit/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.2.2)
+cmake_minimum_required(VERSION 3.5.0)
 project(ScintillaEdit)

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: codequery
 Section: devel
 Priority: optional
-Maintainer: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
 Build-Depends: debhelper-compat (= 13),
                asciidoc-base,
                cmake,

## codequery 1.0.0+dfsg

=== CMakeLists.txt ===
#
# CodeQuery
# Copyright (C) 2013-2018 ruben2020 https://github.com/ruben2020/
#
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.
#

cmake_minimum_required(VERSION 3.16.0)
project(CodeQuery)

option(BUILD_QT6 "Qt6 option"    ON)
option(BUILD_QT5 "Qt5 option"    OFF)
option(NO_GUI    "No GUI option" OFF)
option(GHAWIN    "GitHub Actions on Windows" OFF)

if (NO_GUI)
MESSAGE("-- NO_GUI = " ${NO_GUI})
else (NO_GUI)

if (BUILD_QT5)
message("-- BUILD_QT5 = " ${BUILD_QT5})
else (BUILD_QT5)
message("-- BUILD_QT6 = " ${BUILD_QT6})
endif(BUILD_QT5)

endif(NO_GUI)

if (GHAWIN)
MESSAGE("-- GHAWIN = " ${GHAWIN})
else (GHAWIN)
endif(GHAWIN)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmakefind/")


# C++17 now always required
SET( CMAKE_CXX_STANDARD 17 )
SET( CMAKE_CXX_STANDARD_REQUIRED ON )

#set(CMAKE_BUILD_TYPE Debug)
#SET(CMAKE_C_FLAGS_DEBUG "-g -ggdb -O0 -Wno-unused-result -Wno-return-type")
#SET(CMAKE_CXX_FLAGS_DEBUG "-g -ggdb -O0 -Wno-unused-result -Wno-return-type")

IF(MSVC)
ADD_DEFINITIONS(/D _CRT_SECURE_NO_WARNINGS)
ELSE(MSVC)
SET( CMAKE_CXX_FLAGS  "-O2 -Wno-unused-result -Wno-return-type ${CMAKE_CXX_FLAGS}")
SET( CMAKE_CXX_FLAGS_DEBUG  "-g -ggdb -O0 -Wno-unused-result -Wno-return-type ${CMAKE_CXX_FLAGS_DEBUG}" )
SET( CMAKE_CXX_FLAGS_RELEASE  "-O2 -Wno-unused-result -Wno-return-type ${CMAKE_CXX_FLAGS_RELEASE}" )
ENDIF(MSVC)


set( EXECUTABLE_OUTPUT_PATH ${PROJECT_BINARY_DIR} )


add_subdirectory( "querylib" )
add_subdirectory( "makedb" )
add_subdirectory( "cli" )

if (NO_GUI)
else (NO_GUI)
add_subdirectory( "lexilla" )
add_subdirectory( "scintilla/qt/ScintillaEdit" )
add_subdirectory( "showgraph" )
add_subdirectory( "gui" )
endif (NO_GUI)

=== gui/CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # file, You can obtain one at http://mozilla.org/MPL/2.0/.
 #
 
-cmake_minimum_required(VERSION 3.5.0)
+cmake_minimum_required(VERSION 3.16.0)
 project(CodeQueryGUI)
 
 #ADD_DEFINITIONS( -Wall )
@@ -63,9 +63,9 @@
   )
   
   # and finally an resource file
-  SET( CODEQUERY_RCS
-       codequery.qrc
-  )
+  #SET( CODEQUERY_RCS
+  #     codequery.qrc
+  #)
 
   # translation files
   SET( CODEQUERY_TRANS
@@ -101,11 +101,6 @@
 
   add_definitions( -DNO_QDESIGNER_WIDGET_EXPORT )
 
-  INCLUDE_DIRECTORIES( "../scintilla/qt/ScintillaEdit" )
-  INCLUDE_DIRECTORIES( "../scintilla/qt/ScintillaEditBase" )
-  INCLUDE_DIRECTORIES( "../scintilla/include" )
-  INCLUDE_DIRECTORIES( "../scintilla/src" )
-  INCLUDE_DIRECTORIES( "../scintilla/lexlib" )
   INCLUDE_DIRECTORIES( "${CMAKE_CURRENT_BINARY_DIR}" )
   INCLUDE_DIRECTORIES( "." )
   INCLUDE_DIRECTORIES( "./translations" )
@@ -113,6 +108,12 @@
   INCLUDE_DIRECTORIES( "../makedb" )
   INCLUDE_DIRECTORIES( "../showgraph" )
   INCLUDE_DIRECTORIES( "/usr/local/include" )
+  INCLUDE_DIRECTORIES( "../lexilla/include" )
+  INCLUDE_DIRECTORIES( "../scintilla/qt/ScintillaEdit" )
+  INCLUDE_DIRECTORIES( "../scintilla/qt/ScintillaEditBase" )
+  INCLUDE_DIRECTORIES( "../scintilla/include" )
+  INCLUDE_DIRECTORIES( "../scintilla/src" )
+  INCLUDE_DIRECTORIES( "../scintilla/lexlib" )
 
 if(GHAWIN)
 find_package(unofficial-sqlite3 CONFIG REQUIRED)
@@ -122,19 +123,18 @@
 include_directories( "${SQLITE_INCLUDE_DIR}" )
 endif(GHAWIN)
 
-
 if (BUILD_QT5)
 
-  
   # this command finds Qt4 libraries and sets all required variables
   # note that it's Qt4, not QT4 or qt4
-  FIND_PACKAGE( Qt5Widgets 5.2.1 REQUIRED )
+  FIND_PACKAGE( Qt5Widgets REQUIRED )
   FIND_PACKAGE( Qt5Core REQUIRED )
   FIND_PACKAGE( Qt5Concurrent REQUIRED )
   FIND_PACKAGE( Qt5Xml REQUIRED )
   FIND_PACKAGE( Qt5LinguistTools REQUIRED )
 
   add_definitions( -DUSE_QT5 )
+  #add_compile_definitions(QT_DISABLE_DEPRECATED_UP_TO=0x050F00)
 
   set_target_properties(Qt5::Core PROPERTIES MAP_IMPORTED_CONFIG_COVERAGE "RELEASE")
   
@@ -180,10 +180,10 @@
 if(WIN32)
   SET(CQ_WIN_RCS cqwin64.rc)
   add_executable( codequery WIN32 ${CODEQUERY_SRCS} ${CODEQUERY_MOC_SRCS} ${CQIMAGES_RC_SRCS} ${CQTRANS_RC_SRCS} ${CODEQUERY_UI_HDRS} ${QM} ${CQ_WIN_RCS} )
-  target_link_libraries( codequery Qt5::Widgets Qt5::Concurrent Qt5::WinMain ${SQLITE_LIBRARIES} cqshowgraph-qt5 scintillaedit)
+  target_link_libraries( codequery Qt5::Widgets Qt5::Concurrent Qt5::WinMain ${SQLITE_LIBRARIES} cqshowgraph-qt5 scintillaedit lexilla)
 else()
   add_executable( codequery ${CODEQUERY_SRCS} ${CODEQUERY_MOC_SRCS} ${CQIMAGES_RC_SRCS} ${CQTRANS_RC_SRCS} ${CODEQUERY_UI_HDRS} ${QM} )
-  target_link_libraries( codequery Qt5::Widgets Qt5::Concurrent ${SQLITE_LIBRARIES} cqshowgraph-qt5 scintillaedit)
+  target_link_libraries( codequery Qt5::Widgets Qt5::Concurrent ${SQLITE_LIBRARIES} cqshowgraph-qt5 scintillaedit lexilla)
 endif()
   
   install(TARGETS codequery RUNTIME DESTINATION bin)
@@ -191,29 +191,20 @@
 
 else (BUILD_QT5)
 
-  add_definitions( -DUSE_QT4 )
-
-  # by default only QtCore and QtGui modules are enabled
-  # other modules must be enabled like this:
-  #SET( QT_USE_QTXML TRUE )
-  #SET( QT_USE_QTSQL TRUE )
-  SET( QT_DONT_USE_QTGUI FALSE )
-  
-  # this command finds Qt4 libraries and sets all required variables
-  # note that it's Qt4, not QT4 or qt4
-  FIND_PACKAGE( Qt4 REQUIRED )
-  
-  # add some useful macros and variables
-  # (QT_USE_FILE is a variable defined by FIND_PACKAGE( Qt4 ) that contains a path to CMake script)
-  INCLUDE( "${QT_USE_FILE}" )
-
-  QT4_ADD_TRANSLATION( QM ${CODEQUERY_TRANS} )  
-  
-  # this command will generate rules that will run rcc on all files from CODEQUERY_RCS
-  # in result CQIMAGES_RC_SRCS variable will contain paths to files produced by rcc
-  # QT4_ADD_RESOURCES( CQIMAGES_RC_SRCS ${CODEQUERY_RCS} )
-
-  # Run the resource compiler (rcc_options should already be set).
+  find_package(Qt6 REQUIRED COMPONENTS Core Widgets Concurrent Xml LinguistTools )
+  set(CMAKE_AUTOMOC ON)
+  set(CMAKE_AUTORCC OFF)
+  set(CMAKE_AUTOUIC OFF)
+
+  add_definitions( -DUSE_QT5 )
+  add_compile_definitions(QT_DISABLE_DEPRECATED_UP_TO=0x050F00)
+
+  set_target_properties(Qt6::Core PROPERTIES MAP_IMPORTED_CONFIG_COVERAGE "RELEASE")
+
+  get_target_property(QT_RCC_EXECUTABLE Qt6::rcc LOCATION)
+
+  qt6_add_translation( QM ${CODEQUERY_TRANS} )
+
   ADD_CUSTOM_COMMAND(
     OUTPUT ${CQIMAGES_RC_SRCS}
     COMMAND ${QT_RCC_EXECUTABLE}
@@ -232,26 +223,20 @@
     COMMAND ${COPY_COMMAND}
     ARGS ${CQTRANS_RC_QRCT_CP} ${CQTRANS_RC_QRC_CP}
     )
-    
-
-  # this will run uic on .ui files:
-  QT4_WRAP_UI( CODEQUERY_UI_HDRS ${CODEQUERY_UIS} )
-  
-  # and finally this will run moc:
-  QT4_WRAP_CPP( CODEQUERY_MOC_SRCS ${CODEQUERY_MOC_HDRS} )
-
+
+  qt6_wrap_ui( CODEQUERY_UI_HDRS ${CODEQUERY_UIS} )
 
 if(WIN32)
-  SET(CQ_WIN_RCS cqwin32.rc)
+  SET(CQ_WIN_RCS cqwin64.rc)
   add_executable( codequery WIN32 ${CODEQUERY_SRCS} ${CODEQUERY_MOC_SRCS} ${CQIMAGES_RC_SRCS} ${CQTRANS_RC_SRCS} ${CODEQUERY_UI_HDRS} ${QM} ${CQ_WIN_RCS} )
+  target_link_libraries( codequery PRIVATE Qt6::Widgets Qt6::Concurrent ${SQLITE_LIBRARIES} cqshowgraph-qt6 scintillaedit lexilla )
 else()
   add_executable( codequery ${CODEQUERY_SRCS} ${CODEQUERY_MOC_SRCS} ${CQIMAGES_RC_SRCS} ${CQTRANS_RC_SRCS} ${CODEQUERY_UI_HDRS} ${QM} )
+  target_link_libraries( codequery PRIVATE Qt6::Widgets Qt6::Concurrent ${SQLITE_LIBRARIES} cqshowgraph-qt6 scintillaedit lexilla )
 endif()
 
-  target_link_libraries( codequery ${QT_LIBRARIES} ${SQLITE_LIBRARIES} cqshowgraph scintillaedit)
-  
   install(TARGETS codequery RUNTIME DESTINATION bin)
 
+
 endif (BUILD_QT5)
 
-

=== querylib/CMakeLists.txt ===
--- 
+++ 
@@ -22,7 +22,7 @@
 # IN THE SOFTWARE.
 # 
 
-cmake_minimum_required(VERSION 3.5.0)
+cmake_minimum_required(VERSION 3.16.0)
 project(CodeQueryLib)
 
 find_package(Sqlite REQUIRED)

=== showgraph/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16.0)
project(ShowGraph)

#ADD_DEFINITIONS( -Wall )


  # with SET() command you can change variables or define new ones
  # here we define SHOWGRAPH_SRCS variable that contains a list of all .cpp files
  # note that we don't need \ at the end of line
  SET( SHOWGRAPH_SRCS
./showgraph.cpp
./Utils/mem_mgr.cpp
./Utils/mem_utest.cpp
./Utils/conf.cpp
./Utils/list_utest.cpp
./Utils/utils_utest.cpp
./Utils/utils.cpp
./Utils/conf_utest.cpp
./Utils/mem_pool.cpp
./Layout/node_group.cpp
./Layout/aux_graph.cpp
./Layout/layout.cpp
./Graph/graph.cpp
./Graph/node.cpp
./Graph/edge.cpp
./GraphView/edge_item.cpp
./GraphView/style_edit.cpp
./GraphView/graph_view.cpp
./GraphView/visible_edge.cpp
./GraphView/node_item.cpp
./GraphView/edge_helper.cpp
./GraphView/navigation.cpp
  )
  
  # another list, this time it includes all header files that should be treated with moc
  SET( SHOWGRAPH_MOC_HDRS
./Layout/aux_graph.h
./GraphView/graph_view.h
./GraphView/style_edit.h
  )

  INCLUDE_DIRECTORIES( "${CMAKE_CURRENT_BINARY_DIR}" )
  INCLUDE_DIRECTORIES( "." )
  INCLUDE_DIRECTORIES( "./Graph" )
  INCLUDE_DIRECTORIES( "./GraphView" )
  INCLUDE_DIRECTORIES( "./Layout" )
  INCLUDE_DIRECTORIES( "./Utils" )
  
if (BUILD_QT5)

  FIND_PACKAGE( Qt5Widgets REQUIRED )
  FIND_PACKAGE( Qt5Concurrent REQUIRED )
  FIND_PACKAGE( Qt5Xml REQUIRED )

  add_definitions( -DUSE_QT5 )
  
  set_target_properties(Qt5::Core PROPERTIES MAP_IMPORTED_CONFIG_COVERAGE "RELEASE")
  #add_compile_definitions(QT_DISABLE_DEPRECATED_UP_TO=0x050F00)

  SET(CMAKE_AUTOMOC ON)
  SET(CMAKE_INCLUDE_CURRENT_DIR ON)

  INCLUDE_DIRECTORIES( "${Qt5Widgets_INCLUDE_DIRS}" )
  INCLUDE_DIRECTORIES( "${Qt5Xml_INCLUDE_DIRS}" )

  add_library( cqshowgraph-qt5 STATIC ${SHOWGRAPH_SRCS} ${SHOWGRAPH_MOC_SRCS} )
  target_link_libraries( cqshowgraph-qt5 Qt5::Widgets Qt5::Concurrent Qt5::Xml )

else (BUILD_QT5)

  find_package(Qt6 REQUIRED COMPONENTS Core Widgets Concurrent Xml )
  set(CMAKE_AUTOMOC ON)
  set(CMAKE_AUTORCC ON)
  set(CMAKE_AUTOUIC ON)
  
  add_definitions( -DUSE_QT5 )
  SET(CMAKE_INCLUDE_CURRENT_DIR ON)

  set_target_properties(Qt6::Core PROPERTIES MAP_IMPORTED_CONFIG_COVERAGE "RELEASE")

  qt6_add_library( cqshowgraph-qt6 STATIC ${SHOWGRAPH_SRCS} ${SHOWGRAPH_MOC_SRCS} )
  target_link_libraries( cqshowgraph-qt6 PRIVATE Qt6::Widgets Qt6::Concurrent Qt6::Xml )

endif (BUILD_QT5)

=== scintilla/qt/ScintillaEdit/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16.0)
project(ScintillaEdit)


  SET(SCINTILLA_SRCS
    ScintillaEdit.cpp
    ScintillaDocument.cpp
    ../ScintillaEditBase/PlatQt.cpp
    ../ScintillaEditBase/ScintillaQt.cpp
    ../ScintillaEditBase/ScintillaEditBase.cpp
      )

  
  SET( SCINTILLA_MOC_HDRS
    ScintillaEdit.h
    ScintillaDocument.h
    ../ScintillaEditBase/ScintillaEditBase.h
    ../ScintillaEditBase/ScintillaQt.h
  )

  FILE(GLOB SCINT_SRCS  "../../src/*.cxx")


  INCLUDE_DIRECTORIES( "../ScintillaEditBase" )
  INCLUDE_DIRECTORIES( "../../include" )
  INCLUDE_DIRECTORIES( "../../src" )
  INCLUDE_DIRECTORIES( "${CMAKE_CURRENT_BINARY_DIR}" )
  INCLUDE_DIRECTORIES( "." )
  INCLUDE_DIRECTORIES( "/usr/local/include" )

  add_definitions( -DSCINTILLA_QT=1 -DSCI_LEXER=1 -D_CRT_SECURE_NO_DEPRECATE=1 -DSTATIC_BUILD=1 )

  find_package( Threads REQUIRED )

if (BUILD_QT5)

  FIND_PACKAGE( Qt5Widgets REQUIRED )
  FIND_PACKAGE( Qt5Core REQUIRED )
  FIND_PACKAGE( Qt5Concurrent REQUIRED )
	
  set_target_properties(Qt5::Core PROPERTIES MAP_IMPORTED_CONFIG_COVERAGE "RELEASE")
# add_compile_definitions(QT_DISABLE_DEPRECATED_UP_TO=0x050F00)
  
  SET(CMAKE_AUTOMOC ON)
  SET(CMAKE_INCLUDE_CURRENT_DIR ON)

  INCLUDE_DIRECTORIES( "${Qt5Widgets_INCLUDE_DIRS}" )

  add_library( scintillaedit STATIC ${SCINTILLA_SRCS} ${SCINTILLA_MOC_SRCS} ${SCINT_SRCS} )
  target_link_libraries( scintillaedit Qt5::Widgets Qt5::Concurrent Threads::Threads )

else (BUILD_QT5)

  find_package(Qt6 REQUIRED COMPONENTS Core Widgets Concurrent Core5Compat )

  set(CMAKE_AUTOMOC ON)
  set(CMAKE_AUTORCC ON)
  set(CMAKE_AUTOUIC ON)

  set_target_properties(Qt6::Core PROPERTIES MAP_IMPORTED_CONFIG_COVERAGE "RELEASE")

  qt6_add_library( scintillaedit STATIC ${SCINTILLA_SRCS} ${SCINTILLA_MOC_SRCS} ${SCINT_SRCS} )
  target_link_libraries( scintillaedit PRIVATE Qt6::Widgets Qt6::Concurrent Qt6::Core5Compat Threads::Threads )

endif (BUILD_QT5)

=== debian/changelog ===
codequery (1.0.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * d/control: Change to use Qt6.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Mon, 11 Nov 2024 12:11:20 +0800

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: codequery
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
+Maintainer: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
 Build-Depends: debhelper-compat (= 13),
                asciidoc-base,
                cmake,
-               libqscintilla2-qt5-dev,
+               libqscintilla2-qt6-dev,
                libsqlite3-dev,
-               qttools5-dev,
+               qt6-5compat-dev,
+               qt6-base-dev,
+               qt6-tools-dev,
                xmlto,
 Standards-Version: 4.6.2
 Rules-Requires-Root: no

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	cat debian/*manpages | sed 's/$$/.txt/p' | xargs -n 1 a2x --attribute=footer-style=none --doctype manpage --format manpage
	perl -pi -e 's/build/obj-$(DEB_HOST_GNU_TYPE)/' gui/codequery.qrc
	dh_auto_configure

override_dh_clean:
	dh_clean
	perl -pi -e 's/obj-$(DEB_HOST_GNU_TYPE)/build/' gui/codequery.qrc

## codequery 1.0.1%2Bdfsg

=== gui/CMakeLists.txt ===
--- 
+++ 
@@ -196,7 +196,7 @@
   set(CMAKE_AUTORCC OFF)
   set(CMAKE_AUTOUIC OFF)
 
-  add_definitions( -DUSE_QT5 )
+  add_definitions( -DUSE_QT6 )
   add_compile_definitions(QT_DISABLE_DEPRECATED_UP_TO=0x050F00)
 
   set_target_properties(Qt6::Core PROPERTIES MAP_IMPORTED_CONFIG_COVERAGE "RELEASE")

=== makedb/CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # file, You can obtain one at http://mozilla.org/MPL/2.0/.
 #
 
-cmake_minimum_required(VERSION 3.5.0)
+cmake_minimum_required(VERSION 3.16.0)
 project(CodeQueryDBMaker)
 
 #add_definitions( -Wall )

## codequery 1.0.1+dfsg

=== cli/CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # file, You can obtain one at http://mozilla.org/MPL/2.0/.
 #
 
-cmake_minimum_required(VERSION 3.5.0)
+cmake_minimum_required(VERSION 3.16.0)
 project(CodeQueryCLI)
 
 #add_definitions( -Wall )

=== lexilla/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16.0)
project(Lexilla)
  
#FILE(GLOB LEXER_SRCS  "./lexers/*.cxx")
FILE(GLOB LEXLIB_SRCS "./lexlib/*.cxx")
FILE(GLOB LEXINT_SRCS  "./src/*.cxx")

  SET( LEXER_SRCS
       ./lexers/LexCPP.cxx
       ./lexers/LexRuby.cxx
       ./lexers/LexPython.cxx
  )


INCLUDE_DIRECTORIES( "./include" )
INCLUDE_DIRECTORIES( "./src" )
INCLUDE_DIRECTORIES( "./lexlib" )
INCLUDE_DIRECTORIES( "../scintilla/include" )

add_definitions( -DSCINTILLA_QT=1 -DSCI_LEXER=1 -D_CRT_SECURE_NO_DEPRECATE=1 -DSTATIC_BUILD=1 )

add_library( lexilla STATIC ${LEXER_SRCS} ${LEXLIB_SRCS} ${LEXINT_SRCS} )
target_link_libraries( lexilla )

=== showgraph/CMakeLists.txt ===
--- 
+++ 
@@ -73,7 +73,7 @@
   set(CMAKE_AUTORCC ON)
   set(CMAKE_AUTOUIC ON)
   
-  add_definitions( -DUSE_QT5 )
+  add_definitions( -DUSE_QT6 )
   SET(CMAKE_INCLUDE_CURRENT_DIR ON)
 
   set_target_properties(Qt6::Core PROPERTIES MAP_IMPORTED_CONFIG_COVERAGE "RELEASE")

=== debian/changelog ===
codequery (1.0.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * d/salsa-ci.yml: Add Salsa CI config

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sat, 02 Aug 2025 01:25:44 +0800

=== debian/watch ===
version=4
opts="dversionmangle=s/\+(debian|dfsg|ds|deb|gh)\d*$//, repacksuffix=+dfsg" \
https://github.com/ruben2020/codequery/tags (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate
